/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "common.h"

#if defined(_MSC_VER)
  #include <direct.h>
  #define getcwd _getcwd
  #define FILE_PATH_SEP '\\'
#elif defined(__GNUC__)
  #include <unistd.h>
  #define FILE_PATH_SEP '/'
#endif

void fileNormalizeSlashes(char *string);

void fileMkdirp(char *path);

void assetReadString(FILE *file, char *buffer);